
## generate 10000 random variables from a Poisson distribution
poisson_distrib <- rpois(10000, lambda=3)

## draw a histogram of the Poisson distribution
par(mfrow=c(2,1))
hist(poisson_distrib)

## set the sample size and the number of samples to take
sample_size <- 10
num_of_samples <- 1000

## create a vector to hold the means calculated for all the samples
mean_vec <- rep(0, num_of_samples)

## use a "for loop" to draw samples and calculate their means
for (i in 1:num_of_samples) {

	sample <- rpois(sample_size, lambda=3)

	mean_vec[i] <- mean(sample)
}

## draw a histogram of the vector of means to show they are normal
hist(mean_vec, breaks=seq(-1,7,0.1))
par(mfrow=c(1,1))
